package com.sooka.system.service.impl;

import java.util.List;

import com.sooka.common.core.text.Convert;
import com.sooka.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.sooka.system.mapper.TGuijiHousingconstructionYsljcMapper;
import com.sooka.system.domain.TGuijiHousingconstructionYsljc;
import com.sooka.system.service.ITGuijiHousingconstructionYsljcService;

/**
 * 调度系统-用水量检测Service业务层处理
 *
 * @author lei
 * @date 2021-10-30
 */
@Service
public class TGuijiHousingconstructionYsljcServiceImpl extends Guiji_Base_Service implements ITGuijiHousingconstructionYsljcService {
    @Autowired
    private TGuijiHousingconstructionYsljcMapper tGuijiHousingconstructionYsljcMapper;

    /**
     * 查询调度系统-用水量检测
     *
     * @param id 调度系统-用水量检测ID
     * @return 调度系统-用水量检测
     */
    @Override
    public TGuijiHousingconstructionYsljc selectTGuijiHousingconstructionYsljcById(String id) {
        return tGuijiHousingconstructionYsljcMapper.selectTGuijiHousingconstructionYsljcById(id);
    }

    /**
     * 查询调度系统-用水量检测列表
     *
     * @param tGuijiHousingconstructionYsljc 调度系统-用水量检测
     * @return 调度系统-用水量检测
     */
    @Override
    public List<TGuijiHousingconstructionYsljc> selectTGuijiHousingconstructionYsljcList(TGuijiHousingconstructionYsljc tGuijiHousingconstructionYsljc) {
        List ls = tGuijiHousingconstructionYsljcMapper.selectTGuijiHousingconstructionYsljcList(tGuijiHousingconstructionYsljc);
        tGuijiHousingconstructionYsljc.setInterfaceinfoId("9394cd67-6ce3-434e-8ca3-38d3a2137af9");
        tGuijiHousingconstructionYsljc.setInterfaceinfoName("共享-自来水公司-用水量检测");
        add_log(tGuijiHousingconstructionYsljc);

        return ls;
    }

    /**
     * 新增调度系统-用水量检测
     *
     * @param tGuijiHousingconstructionYsljc 调度系统-用水量检测
     * @return 结果
     */
    @Override
    public int insertTGuijiHousingconstructionYsljc(TGuijiHousingconstructionYsljc tGuijiHousingconstructionYsljc) {
        tGuijiHousingconstructionYsljc.setCreateTime(DateUtils.getNowDate());
        return tGuijiHousingconstructionYsljcMapper.insertTGuijiHousingconstructionYsljc(tGuijiHousingconstructionYsljc);
    }

    /**
     * 修改调度系统-用水量检测
     *
     * @param tGuijiHousingconstructionYsljc 调度系统-用水量检测
     * @return 结果
     */
    @Override
    public int updateTGuijiHousingconstructionYsljc(TGuijiHousingconstructionYsljc tGuijiHousingconstructionYsljc) {
        return tGuijiHousingconstructionYsljcMapper.updateTGuijiHousingconstructionYsljc(tGuijiHousingconstructionYsljc);
    }

    /**
     * 删除调度系统-用水量检测对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteTGuijiHousingconstructionYsljcByIds(String ids) {
        return tGuijiHousingconstructionYsljcMapper.deleteTGuijiHousingconstructionYsljcByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除调度系统-用水量检测信息
     *
     * @param id 调度系统-用水量检测ID
     * @return 结果
     */
    @Override
    public int deleteTGuijiHousingconstructionYsljcById(String id) {
        return tGuijiHousingconstructionYsljcMapper.deleteTGuijiHousingconstructionYsljcById(id);
    }
}
